Mail Sales Order
curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/output/mail \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/output/mail"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/output/mail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Sales Order
Mail Sales Order
Execute the mailing of a SalesOrder
POST
/
v1
/
salesOrders
/
{salesOrderId}
/
output
/
mail
Mail Sales Order
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales order for that the mail to start.
Query Parameters
Gets the unique identifier for the form (Formular) entity.
Represents a unique key for identifying a form (Formular) entity within the system.
Response
The Mailjob is created
Was this page helpful?
⌘I